
local SPELL_SHIELD_BLOCK = "2565"
local SPELL_SHIELD_BARRIER = "112048"
local SPELL_THUNDER_CLAP = "6343"
local SPELL_SHIELD_SLAM = "23922"
local SPELL_BATTLE_SHOUT = "6673"
local SPELL_COMMANDING_SHOUT = "469"
local SPELL_REVENGE = "6572"
local SPELL_DEVASTATE = "20243"
local SPELL_THROW = "122475"
local SPELL_HEROIC_THROW = "57755"
local SPELL_HEROIC_STRIKE = "78"
local SPELL_CLEAVE = "845"
local SPELL_VICTORY_RUSH = "34428"
local SPELL_IMPENDING_VICTORY = "103840"
local SPELL_BERSERKER_RAGE = "18499"
local SPELL_EXECUTE = "5308"
local SPELL_PUMMEL = "6552"
local SPELL_DISRUPTING_SHOUT = "102060"
local SPELL_DEADLY_CALM = "85730"
local SPELL_SHOCKWAVE = "46968"
local SPELL_SUNDER_ARMOR = "7386"
local SPELL_CHARGE = "100"
local SPELL_INTERVENE = "3411"
local SPELL_DIE_BY_THE_SWORD = "118038"
local SPELL_COLOSSUS_SMASH = "86346"
local SPELL_OVERPOWER = "7384"
local SPELL_SLAM = "1464"
local SPELL_WHIRLWIND = "1680"
local SPELL_MORTAL_STRIKE = "12294"
local SPELL_RAGING_BLOW = "85288"
local SPELL_WILD_STRIKE = "100130"

local BUFF_POWER_WORD_FORTITUDE = "21562"
local BUFF_IMP_BLOOD_PACT = "6307"
local BUFF_QIRAJI_FORTITUDE = "90364"
local BUFF_HORN_OF_WINTER = "57330"
local BUFF_TRUESHOT_AURA = "19506"
local BUFF_SWORD_AND_BOARD = "46953"
local BUFF_ULTIMATUM = "122509"
local BUFF_DEADLY_CALM = SPELL_DEADLY_CALM
local BUFF_SHIELD_BARRIER = SPELL_SHIELD_BARRIER
local BUFF_SHIELD_BLOCK = SPELL_SHIELD_BLOCK
local BUFF_INCITE = "122016"
local BUFF_TASTE_FOR_BLOOD = "56638"
local BUFF_SWEEPING_STRIKES = "12328"
local BUFF_ENRAGE = "13046"
local BUFF_FREE_RAGING_BLOW = "131116"
local BUFF_MEAT_CLEAVER = "12950"

local DEBUFF_WEAKENED_BLOWS = "115798"


WhatsNext.defaultCastSequences["WARRIOR"][2] = {
	{
		spell=SPELL_PUMMEL,
		checks={
			{["type"]="In Combat",},
			{["type"]="In Range",["spellName"]=SPELL_PUMMEL,},
			{["type"]="Target Is Interruptable",},
		}
	},{
		spell=SPELL_DISRUPTING_SHOUT,
		checks={
			{["type"]="In Combat",},
			{["type"]="In Range",["spellName"]=SPELL_PUMMEL,},
			{["type"]="Target Is Interruptable",},
		}
	},{
		spell=SPELL_IMPENDING_VICTORY,
		checks={
			{["type"]="In Combat",},
			{["type"]="In Range",["spellName"]=SPELL_PUMMEL,},
			{["type"]="Maximum Health Percent",["unit"]="player",["amount"]="0.6",},
		}
	},{
		spell=SPELL_VICTORY_RUSH,
		checks={
			{["type"]="In Combat",},
			{["type"]="In Range",["spellName"]=SPELL_PUMMEL,},
			{["type"]="Maximum Health Percent",["unit"]="player",["amount"]="0.6",},
		}
	},{
		spell=SPELL_DIE_BY_THE_SWORD,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Tanking",["invert"]=false,},
			{["type"]="Taking Blockable Damage",["invert"]=false,["time"]="4",},
		}
	},{
		spell=SPELL_COLOSSUS_SMASH,
		checks={
			{["type"]="In Combat",["invert"]=false,},
		}
	},{
		spell=SPELL_THUNDER_CLAP,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Target Need Debuff",["debuffName"]=DEBUFF_WEAKENED_BLOWS,["count"]="1",["invert"]=false,["time"]="3",},
		}
	},{
		spell=SPELL_RAGING_BLOW,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Maximum Enemy Count",["invert"]=false,["amount"]="1",},
		}
	},{
		spell=SPELL_RAGING_BLOW,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Player Buffed",["buffName"]=BUFF_MEAT_CLEAVER,["invert"]=false,["count"]="1",},
			{["type"]="Maximum Enemy Count",["invert"]=false,["amount"]="2",},
		}
	},{
		spell=SPELL_RAGING_BLOW,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Player Buffed",["buffName"]=BUFF_MEAT_CLEAVER,["invert"]=false,["count"]="2",},
			{["type"]="Maximum Enemy Count",["invert"]=false,["amount"]="3",},
		}
	},{
		spell=SPELL_RAGING_BLOW,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Player Buffed",["buffName"]=BUFF_MEAT_CLEAVER,["invert"]=false,["count"]="3",},
		}
	},{
		spell=SPELL_RAGING_BLOW,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Player Need Buff",["buffName"]=BUFF_FREE_RAGING_BLOW,["count"]="1",["invert"]=false,["time"]="3",},
		}
	},{
		spell=SPELL_BERSERKER_RAGE,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Player Buffed",["count"]="1",["buffName"]=BUFF_ENRAGE,["invert"]=true,},
			{["type"]="Player Buffed",["buffName"]=BUFF_FREE_RAGING_BLOW,["invert"]=true,["count"]="2",},
		}
	},{
		spell=SPELL_EXECUTE,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Minimum Resultant Power",["amount"]="30",["invert"]=false,["spellName"]=SPELL_EXECUTE,},
		}
	},{
		spell=SPELL_WHIRLWIND,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Minimum Resultant Power",["spellName"]=SPELL_WHIRLWIND,["invert"]=false,["amount"]="10",},
			{["type"]="Minimum Enemy Count",["invert"]=false,["amount"]="2",},
		}
	},{
		spell=SPELL_WILD_STRIKE,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Minimum Resultant Power",["amount"]="10",["invert"]=false,["spellName"]=SPELL_WILD_STRIKE,},
		}
	},{
		spell="23881",
		checks={
			{["type"]="In Combat",["invert"]=false,},
		}
	},{
		spell=SPELL_BATTLE_SHOUT,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Maximum Power",["invert"]=false,["amount"]="80",},
			{["type"]="Player Buffed By Player",["invert"]=true,["count"]="1",["buffName"]=SPELL_COMMANDING_SHOUT,},
		}
	},{
		spell=SPELL_COMMANDING_SHOUT,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Maximum Power",["invert"]=false,["amount"]="80",},
			{["type"]="Player Buffed By Player",["invert"]=true,["count"]="1",["buffName"]=SPELL_BATTLE_SHOUT,},
		}
	},{
		spell=SPELL_SUNDER_ARMOR,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Maximum Cost",["amount"]="0",["invert"]=false,["spellName"]=SPELL_SUNDER_ARMOR,},
		}
	},{
		spell=SPELL_HEROIC_THROW,
		checks={
			{["type"]="In Combat",["invert"]=false,},
		}
	},{
		spell=SPELL_BATTLE_SHOUT,
		checks={
			{["type"]="Player Buffed By Player",["count"]="1",["invert"]=true,["buffName"]=SPELL_COMMANDING_SHOUT,},
			{["type"]="Raid Buffed",["yards"]="100",["invert"]=true,["buffName"]=SPELL_BATTLE_SHOUT,},
			{["type"]="Raid Buffed",["yards"]="100",["invert"]=true,["buffName"]=BUFF_HORN_OF_WINTER,},
			{["type"]="Raid Buffed",["yards"]="100",["invert"]=true,["buffName"]=BUFF_TRUESHOT_AURA,},
		}
	},{
		spell=SPELL_COMMANDING_SHOUT,
		checks={
			{["type"]="Raid Buffed",["buffName"]=SPELL_COMMANDING_SHOUT,["yards"]="100",["invert"]=true,},
			{["type"]="Raid Buffed",["buffName"]=BUFF_POWER_WORD_FORTITUDE,["yards"]="100",["invert"]=true,},
			{["type"]="Raid Buffed",["buffName"]=BUFF_IMP_BLOOD_PACT,["yards"]="100",["invert"]=true,},
			{["type"]="Raid Buffed",["buffName"]=BUFF_QIRAJI_FORTITUDE,["yards"]="100",["invert"]=true,},
			{["type"]="Player Buffed By Player",["invert"]=true,["count"]="1",["buffName"]=SPELL_BATTLE_SHOUT,},
		}
	},
}